高德地图SDK(导航) V11.2.0501

Loading...
Searching...
No Matches
Instance Methods | Properties | List of all members
AMapNaviRouteGroup Class Reference

`#include <AMapNaviRoute.h>`

Inheritance diagram for AMapNaviRouteGroup:

## Instance Methods
(nullable instancetype) | - NS_UNAVAILABLE
(BOOL) | - selectNaviRouteWithRouteID:
| 多路径规划时选择路径.注意:该方法仅限于在开始导航前使用,开始导航后该方法无效. Selecting a route during multi-route planning. Note: This method is only available before starting navigation and becomes invalid after navigation starts.

## Properties
NSInteger | naviRouteID
AMapNaviRoute * | naviRoute
NSArray< NSNumber * > * | naviRouteIDs
NSDictionary< NSNumber *, AMapNaviRoute * > * | naviRoutes
AMapNaviCalculateRouteResult * | calculateRouteResult

## Detailed Description

导航路径信息集合. since 7.7.0 Navigation path information collection

## Method Documentation

## ◆ NS_UNAVAILABLE

- (nullable instancetype) NS_UNAVAILABLE |  |  |

## ◆ selectNaviRouteWithRouteID:

- (BOOL) selectNaviRouteWithRouteID: |  | (NSInteger) | routeID |

多路径规划时选择路径.注意:该方法仅限于在开始导航前使用,开始导航后该方法无效. Selecting a route during multi-route planning. Note: This method is only available before starting navigation and becomes invalid after navigation starts.

Parameters

  routeID | 路径ID Route ID

Returns
  是否选择路径成功 Whether the route selection is successful

## Property Documentation

## ◆ calculateRouteResult

- (AMapNaviCalculateRouteResult*) calculateRouteResult
| read nonatomic assign

当前默认导航路径的信息,参考 AMapNaviRoute 类。since 10.1.111 Information of the current default navigation route, refer to AMapNaviRoute class.

## ◆ naviRoute

- (AMapNaviRoute*) naviRoute
| read nonatomic assign

当前默认导航路径的信息,参考 AMapNaviRoute 类. Information of the current default navigation path, refer to AMapNaviRoute class.

## ◆ naviRouteID

- (NSInteger) naviRouteID
| read nonatomic assign

当前默认选中导航路径的ID ID of the currently selected default navigation path

## ◆ naviRouteIDs

- (NSArray<NSNumber *>*) naviRouteIDs
| read nonatomic assign

多路径规划时的所有路径ID,路径ID为 NSInteger 类型. All route IDs during multi-route planning, where the route ID is of type NSInteger

## ◆ naviRoutes

- (NSDictionary<NSNumber *, AMapNaviRoute *>*) naviRoutes
| read nonatomic assign

多路径规划时的所有路径信息,参考 AMapNaviRoute 类. All route information during multi-route planning, refer to AMapNaviRoute class.

The documentation for this class was generated from the following file:

- AMapNaviRoute.h

© 2017 高德信息技术有限公司 版权所有，保留所有权利。